Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Atk::Hypertext Class Reference

An AtkHypertext C++ wrapper class. More...

`#include <xfc/atk/hypertext.hh>`

Inheritance diagram for Xfc::Atk::Hypertext:

List of all members.

## Signal Protptypes

- const LinkSelectedSignalType link_selected_signal
    Link selected signal (see signal_link_selected()).

## Public Member Functions

Accessors

- AtkHypertext * atk_hypertext () const
    Get a pointer to the AtkHypertext structure.
- operator AtkHypertext * () const
    Conversion operator; safely converts a Hypertext to an AtkHypertext pointer.
- Hyperlink * get_link (int link_index) const
    Gets the link in this hypertext document at index link_index.
- int get_n_links (int char_index) const
    Returns the number of links within this hypertext document.
- int get_link_index (int char_index) const
    Gets the index into the array of hyperlinks that is associated with the character specified by char_index, or -1 if there is no hyperlink associated with this character.

Signal Proxies

- const LinkSelectedSignalProxy signal_link_selected ()
    Connect to the link_selected_signal; emitted when the hypertext object is selected.

## Protected Member Functions

Constructors

- Hypertext ()
    Constructs a new Hypertext object.
- virtual ~Hypertext ()=0
    Destructor.

## Detailed Description

An AtkHypertext C++ wrapper class.

Hypertext is an interface which provides a standard mechanism for manipulating hyperlinks.

## Member Function Documentation

Hyperlink* Xfc::Atk::Hypertext::get_link | ( | int | link_index | ) | const

Gets the link in this hypertext document at index link_index.

Parameters:

  | link_index | An integer specifying the desired link.

Returns:
  The link in this hypertext document at index link_index.

int Xfc::Atk::Hypertext::get_link_index | ( | int | char_index | ) | const

Gets the index into the array of hyperlinks that is associated with the character specified by char_index, or -1 if there is no hyperlink associated with this character.

Parameters:

  | char_index | A character index.

Returns:
  An index into the array of hyperlinks in the hypertext.

## Member Data Documentation

const LinkSelectedSignalType Xfc::Atk::Hypertext::link_selected_signal `[static, protected]`

Link selected signal (see signal_link_selected()).

Calls a slot with the signature:

                 void function(int link_index);
                 // link_index: The index of the hyperlink which is selected.

The documentation for this class was generated from the following file:

- hypertext.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3